Package org.apache.struts2.views.freemarker.tags

# Class TagModel

java.lang.Object
org.apache.struts2.views.freemarker.tags.TagModel

All Implemented Interfaces:
  `freemarker.template.TemplateModel`, `freemarker.template.TemplateTransformModel`

Direct Known Subclasses:
  `ActionErrorModel`, `ActionMessageModel`, `ActionModel`, `AnchorModel`, `BeanModel`, `CheckboxListModel`, `CheckboxModel`, `ComboBoxModel`, `ComponentModel`, `DateModel`, `DoubleSelectModel`, `ElseIfModel`, `ElseModel`, `FieldErrorModel`, `FileModel`, `FormModel`, `HeadModel`, `HiddenModel`, `I18nModel`, `IfModel`, `IncludeModel`, `InputTransferSelectModel`, `IteratorModel`, `LabelModel`, `LinkModel`, `OptGroupModel`, `OptionTransferSelectModel`, `ParamModel`, `PasswordModel`, `PropertyModel`, `PushModel`, `RadioModel`, `ResetModel`, `ScriptModel`, `SelectModel`, `SetModel`, `SubmitModel`, `TextAreaModel`, `TextFieldModel`, `TextModel`, `TokenModel`, `UpDownSelectModel`, `URLModel`

public abstract class TagModel extends Object implements freemarker.template.TemplateTransformModel

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected jakarta.servlet.http.HttpServletRequest`
  `req`
  `protected jakarta.servlet.http.HttpServletResponse`
  `res`
  `protected ValueStack`
  `stack`

  ### Fields inherited from interface freemarker.template.TemplateModel

  `NOTHING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagModel(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `complexType(Object value)`
  `protected Map`
  `convertParams(Map params)`
  `protected abstract Component`
  `getBean()`
  `protected Map`
  `getComplexParams(Map params)`
  `Writer`
  `getWriter(Writer writer, Map params)`
  `protected Map`
  `unwrapParameters(Map params)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### stack

    protected ValueStack stack

  - ### req

    protected jakarta.servlet.http.HttpServletRequest req

  - ### res

    protected jakarta.servlet.http.HttpServletResponse res

- ## Constructor Details

  - ### TagModel

    public TagModel(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)

- ## Method Details

  - ### getWriter

    public Writer getWriter(Writer writer, Map params) throws freemarker.template.TemplateModelException, IOException
    Specified by:
      `getWriter` in interface `freemarker.template.TemplateTransformModel`
    Throws:
      `freemarker.template.TemplateModelException`
      `IOException`

  - ### getBean

    protected abstract Component getBean()

  - ### unwrapParameters

    protected Map unwrapParameters(Map params)

  - ### convertParams

    protected Map convertParams(Map params)

  - ### getComplexParams

    protected Map getComplexParams(Map params)

  - ### complexType

    protected boolean complexType(Object value)